﻿//PauseScn.as
package {
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	public class PauseScn extends MovieClip {
		
		private var _game:Game;
		private var _main:Main;
		private var _levelFile:String;
		
		public function PauseScn(game:Game, main:Main, levelFile:String){
			_game = game;
			_main = main;
			_levelFile = levelFile;
			addEventListener(Event.ADDED_TO_STAGE, added);
		} //Constructor
		
		private function added(e:Event):void {
			this.removeEventListener(Event.ADDED_TO_STAGE, added);
			//Not paused by default
			this.visible = false;
			this.x = (this.stage.stageWidth / 2) - (this.width / 2);
			this.y = (this.stage.stageHeight / 2) - (this.height / 2);
			
			var again:BlankBtn = new BlankBtn();	addChild(again);
			var htp:BlankBtn = new BlankBtn();		addChild(htp);
			var level:BlankBtn = new BlankBtn();	addChild(level);
			again.name = "again";
			htp.name = "htp";
			level.name = "level";
			again.buttonMode = true;	again.mouseChildren = false;
			htp.buttonMode = true;		htp.mouseChildren = false;
			level.buttonMode = true;	level.mouseChildren = false;
			again.y = 50;
			htp.y = 100;
			level.y = 150;
			again.x = (this.width / 2) - (again.width / 2);
			htp.x = (this.width / 2) - (htp.width / 2);
			level.x = (this.width / 2) - (level.width / 2);
			again.title.text = "Restart";
			htp.title.text = "How to Play";
			level.title.text = "Quit Level";
			again.addEventListener(MouseEvent.CLICK, clickButton, false, 0, true);
			htp.addEventListener(MouseEvent.CLICK, clickButton, false, 0, true);
			level.addEventListener(MouseEvent.CLICK, clickButton, false, 0, true);
		} //added
		
		private function clickButton(e:MouseEvent):void {
			switch (e.target.name) {
				case "again":	_main.clickRestart(_levelFile);	break;
				case "htp":		_main.newTitle("htp");			break;
				case "level":	_main.newTitle("lvl");			break;
			}
		} //clickButton
	} //Paused class
} //Package