﻿//DropBtn.as
package{
	import flash.display.SimpleButton;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.display.MovieClip;
	public class DropBtn extends SimpleButton{
		
		private var _game:Game;
		
		public function DropBtn(value:Game) {
			_game = value;
			this.addEventListener(Event.ADDED_TO_STAGE, added, false, 0, true);
		} //Constructor
		
		private function added(e:Event):void{
			this.removeEventListener(Event.ADDED_TO_STAGE, added);
			this.x = 600;
			this.y = 60;
			this.addEventListener(MouseEvent.CLICK, clickDrop, false, 0, true);
		}
		
		override public function set enabled(value:Boolean):void {
			if (value){
				this.addEventListener(MouseEvent.CLICK, clickDrop, false, 0, true);
				this.useHandCursor = true;
			}else{
				this.removeEventListener(MouseEvent.CLICK, clickDrop);
				this.useHandCursor = false;
			}
		}
		
		private function clickDrop(e:Event):void{_game.dropSheet();}
	} //dropBtn class
} //Package