﻿//EndMenu.as
package{
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.display.MovieClip;
	public class EndMenu extends MovieClip{
		private var _main:Main;
		private var _levelFile:String;
		public function EndMenu(value:Main, value2:String){
			_main = value;
			_levelFile = value2;
			this.addEventListener(Event.ADDED_TO_STAGE, added);
		} //Constructor
		
		private function added(e:Event):void {
			this.removeEventListener(Event.ADDED_TO_STAGE, added);
			var again:BlankBtn = new BlankBtn();	addChild(again);
			var level:BlankBtn = new BlankBtn();	addChild(level);
			again.title.text = "Replay Level";
			level.title.text = "Change Level";
			again.width = 150;
			level.width = 150;
			again.name = "again";		level.name = "level";
			again.buttonMode = true;	again.mouseChildren = false;
			level.buttonMode = true;	level.mouseChildren = false;
			again.y = this.stage.stageHeight - this.stage.stageHeight / 4;
			level.y = this.stage.stageHeight - this.stage.stageHeight / 4;
			again.x = (this.stage.stageWidth / 2) - (again.width) - 7.5;
			level.x = (this.stage.stageWidth / 2) + 7.5;
			again.addEventListener(MouseEvent.CLICK, clickButton, false, 0, true);
			level.addEventListener(MouseEvent.CLICK, clickButton, false, 0, true);
		} //added
		
		private function clickButton(e:MouseEvent):void {
			switch (e.target.name) {
				case "again":	_main.clickRestart(_levelFile);	break;
				case "level":	_main.newTitle("lvl");			break;
			}
		} //clickButton
	} //EndMenu class
} //Package