﻿package {
	import flash.display.SimpleButton;
	import flash.events.MouseEvent;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.text.TextField;
	import flash.events.Event;
	import flash.display.MovieClip;
	public class LvlBtn extends MovieClip{
		private var _title:TitleScn;
		private var _xmlLoader:URLLoader;
		private var _levelFile:String;
		public var lvlname:TextField;
		public function LvlBtn(title:TitleScn, level:String) {
			this.buttonMode = true;
			this.mouseChildren = false;
			_title = title;
			_levelFile = level;
			this.addEventListener(Event.ADDED_TO_STAGE, added);
		} //Constructor

		private function added(e:Event):void {
			this.removeEventListener(Event.ADDED_TO_STAGE, added);
			_xmlLoader = new URLLoader();
			_xmlLoader.addEventListener(Event.COMPLETE, readLevelName);
			_xmlLoader.load(new URLRequest("./" + _levelFile));
			this.addEventListener(MouseEvent.CLICK, loadLevel, false, 0, true);
		} //added
		
		private function readLevelName(e:Event):void {
			_xmlLoader.removeEventListener(Event.COMPLETE, readLevelName);
			var xmlData = new XMLList(e.target.data);
			this.lvlname.text = xmlData.attribute("name");
		} //readLevelName
		
		private function loadLevel(e:MouseEvent) {
			this.removeEventListener(MouseEvent.CLICK, loadLevel);
			_title.getMain.loadLevel(_levelFile);
		} //loadLevel
	} //LvlBtn class
} //Package