﻿//Window.as
package{
	import flash.display.MovieClip;
	public class Window extends MovieClip {
		protected var _world:World;
		protected var _player:Player;
		
		//Strings of sheets attached to a window
		private var _lString:SheetString;
		private var _rString:SheetString;
		
		private var _covered:Boolean;
		private var _screen:Main;
		public var sill:Hitbox;
		public var hitLeft:Hitbox;
		public var hitRight:Hitbox;
		public var windowArea:Hitbox;
		public function Window(value:World = null){
			_world = value;
			if (_world){
				_player = _world.getPlayer;
				
				if (!_world.getGame.SHOW_COLLBXS){
					sill.visible = false;
					hitLeft.visible = false;
					hitRight.visible = false;
					windowArea.visible = false;
				}
			}else {
				sill.visible = false;
				hitLeft.visible = false;
				hitRight.visible = false;
				windowArea.visible = false;
			}
		} //Constructor
		
		public function get getWorld():World{
			return _world;}
		
		public function get covered():Boolean{
			return _covered;}
		
		public function set covered(value:Boolean):void{
			_covered = value;}
		
		public function get lString():SheetString{
			return _lString;}
		
		public function set lString(value:SheetString):void{
			_lString = value; }
		
		public function get rString():SheetString{
			return _rString;}
		
		public function set rString(value:SheetString):void{
			_rString = value; }
		
	} //Window class
} //Package